#ifndef _AltBtcb_h
#define _AltBtcb_h
// a file that is split into a main and a history file.
// records are read from either.  Records are written
// only to the main file.  Perhaps special permission
// may allow writes to succeed for the history file.
#pragma interface
#include <Btcb.h>
#include <Keydata.h>

class altFile: public btFile {
  btFile altf;
  altFile(const altFile &);
  altFile &operator=(const altFile &);
public:
  altFile(const char *name, const char *alt, int mode,const Keydata &buf);
  altFile &operator=(Keydata buf);
  operator int() const;
  int read(const Keydata &,enum btop);
  int next();
  ~altFile();
};
#endif
