#ifdef __GNUC__
#pragma interface
#endif
#include "Fcb.h"

class MemIO: public virtual Fcb {
public:
  FileIO(int fd, void *buf);
  ~FileIO();
  const char *first(int);
  const char *next(int);
  const char *locate(const char *tag);
  int taglen() const { return tagl; }
  const char *add(const char *tag,int);
  const char *get(const char *tag);	// get for update (lock)
  const char *update(const char *tag);
  const char *del(const char *tag);
  void clear();
  //int isnull() const;
  //void setnull();
  void blank();
  char *tag();		// copy tag of current record to tagbuf
  void tag(const char *tag);	// copy tag to record
};
