#pragma interface

void unpack(Money &,const char *,int);
void pack(const Money &,char *,int);

template <int n>
class Packed {
  char data[n];
public:
  Packed() { memset(data,0,n); }
  operator Money() const { Money val; unpack(val,data,n); return val; }
  Packed &operator=(const Money &m) { pack(m,data,n); return *this; }
};
