#pragma interface
#include <Ftype.h>
#include <Btcb.h>

class SystemData {
  SystemData(const SystemData &);
  SystemData&operator=(const SystemData &);
  btFile sysf;
  struct {
    ECHAR<8>	name;
    char	len;
    unsigned char	type;
    char	data[50];
  } rec;
  int lookup(const char *);
public:
  SystemData(const char * = 0);
  string operator[](const char *);
  long getval(const char *);
  ~SystemData();
};
