#ifndef __Browse_h
#define __Browse_h
#pragma interface
#include "EditWin.h"
#include "textlist.h"

class TextBrowser: virtual public Browser {
  TextBrowser(const TextBrowser &);
  TextBrowser&operator=(const TextBrowser &);
protected:
  TextArray &txt;
  int topline, leftcol;
public:
  TextBrowser(TextArray &);
  CHTYPE operator()(int,int) const;
  int lines() { return txt.size(); }
  void move(int,int);
  void getyx(int &,int &) const;
  void draw(const Rect &);
  void load(const string &) { }
  void saveAs(const string &) { }
  void print();
  void search(const char *);
};
#endif
