#pragma interface

struct FcbIO {
  typedef const char *Tag;
  virtual Tag first(int = 0) = 0;
  virtual Tag next(int = 1) = 0;
  Tag prev(int i = 1) { return next(-i); }
  virtual Tag locate(Tag tag = 0) = 0;
  virtual int taglen() const = 0;
  virtual Tag add(Tag tag = 0,int = 0) = 0;
  virtual Tag get(Tag tag) = 0;	// get for update (lock)
  virtual Tag update(Tag tag) = 0;
  virtual Tag del(Tag tag) = 0;
  virtual void blank() = 0;	// create blank record
  //virtual int isnull() const = 0;
  //virtual void setnull() = 0;
  virtual ~FcbIO() { };
};
