#pragma interface
#include "Fchar.h"

#if 1
extern "C" int blkcmp(const char *,const char *,int);
template <int T>
int FCHAR<T>::compare(const char *s) const {
  int l = strlen(s);
  int tl = len();
  if (l <= tl) {
    l = blkcmp(s,this->str,l);
    if (l == tl) return 0;
    return (this->str[l] < s[l]) ? -1 : 1;
  }
  l = blkcmp(s,this->str,tl);
  return (l == tl || this->str[l] < s[l]) ? -1 : 1;
}
#endif

template <int T>
string FCHAR<T>::operator+(const string &s) const {
  return string(this->str,len()) + s;
}

template <int T>
string FCHAR<T>::operator+(const char *s) const {
  return string(this->str,len()) + s;
}

template <int T>
FCHAR<T>::operator string() const {
  return string(this->str,len());
}
