#ifndef _Ftype_h
//	Fixed (compile time) field types
#define _Ftype_h
#ifdef __GNUG__
#pragma interface
#endif

#define VERSION(ini)	"@(#)" __DATE__ __TIME__ #ini

#include "date.hpp"

#ifndef __MSDOS__
extern "C" {
#include <ebcdic.h>
}

class EcharRef {
  unsigned char *s;
public:
  EcharRef(unsigned char *p) { s = p; }
  EcharRef &operator = (char c) { if (s) *s = ascii(c); return *this; }
  operator char() const { return s ? ebcdic(*s) : ' '; }
};

#include <Echar.h>

#endif

#include <fchar.hpp>

struct FJUL: FBIN<4> {
  FJUL();
  FJUL& operator=(Julday d);
  FJUL& operator=(const FJUL &a);
  operator Julday() const;
  Keydata operator&();
  string pic(const char *mask) const;
};

#endif
