template <class T>
Fifo<T>::Fifo(unsigned s) {
#ifdef __MSDOS__
  base = new huge T [s];
  size = base ? s : 0;
  T huge *h = (T huge *)base;
  while (size && FP_OFF(h))
    --size, ++h;		/* adjust to segment boundary */
  buf = (T _seg *)h;
#else
  buf = new T [size = s];
#endif
  count = bptr = eptr = 0;
}

template <class T>
int Fifo<T>::getdata(const T * &p) {
  int cnt;
  if (bptr >= size) bptr = 0;
  p = buf + bptr;
  if (bptr < eptr) {
    cnt = eptr - bptr;
    bptr = eptr;
  }
  else if (count) {
    cnt = size - bptr;
    bptr = 0;
  }
  count -= cnt;
  return cnt;
}
